Debian Bug report logs - #623388
librep: please add armhf support

version graph

Package: src:librep; Maintainer for src:librep is Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 19 Apr 2011 19:30:01 UTC

Severity: important

Tags: patch

Fixed in version librep/0.90.2-1.3

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623388; Package src:librep. (Tue, 19 Apr 2011 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Tue, 19 Apr 2011 19:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: librep: please add armhf support
Date: Tue, 19 Apr 2011 22:26:32 +0300
[Message part 1 (text/plain, inline)]
Source: librep
Severity: important
Tags: patch

Hi,

This is a backport from the Ubuntu version of librep where thumb-2 is
also used by default as in armhf. Please consider adding the patch,
the package has been tested to build fine.

Thanks

Konstantinos
[librep_armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623388; Package src:librep. (Mon, 11 Jul 2011 12:13:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 11 Jul 2011 12:14:00 GMT) Full text and rfc822 format available.

Message #10 received at 623388@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 623388@bugs.debian.org
Subject: librep: diff for NMU version 0.90.2-1.3
Date: Mon, 11 Jul 2011 13:06:33 +0100
[Message part 1 (text/plain, inline)]
tags 623388 + pending
thanks

Dear maintainer,

I've prepared an NMU for librep (versioned as 0.90.2-1.3) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[librep-0.90.2-1.3-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Mon, 11 Jul 2011 12:16:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623388; Package src:librep. (Mon, 11 Jul 2011 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 11 Jul 2011 16:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 623388@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
To: Hector Oron <zumbi@debian.org>, 623388@bugs.debian.org
Subject: Re: Bug#623388: librep: diff for NMU version 0.90.2-1.3
Date: Mon, 11 Jul 2011 11:18:17 -0500
On Mon, Jul 11, 2011 at 01:06:33PM +0100, Hector Oron wrote:
> tags 623388 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for librep (versioned as 0.90.2-1.3) and
> uploaded it to DELAYED/7. Please feel free to tell me if I
> should delay it longer.

Please don't add the rep dependency, it creates a loop between the packages, and it's also wrong, since the package does not *depend* on it. Also, please do not bump the Standards-Version, I don't feel comfortable seeing that go up without having personally checked that there really are no other changes required.

Other than that, your patch looks good. I thank you for taking the time to fix my bugs, and feel free to use DELAYED/3 after the requested fixes, just to give me time for a final lookover.


-- 
Rodrigo Gallardo




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623388; Package src:librep. (Tue, 12 Jul 2011 10:30:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Tue, 12 Jul 2011 10:30:45 GMT) Full text and rfc822 format available.

Message #22 received at 623388@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 623388@bugs.debian.org
Subject: librep: diff for NMU version 0.90.2-1.3
Date: Tue, 12 Jul 2011 11:26:25 +0100
[Message part 1 (text/plain, inline)]

Dear maintainer,

I've prepared an NMU for librep (versioned as 0.90.2-1.3) and
uploaded it to DELAYED/3. Please feel free to tell me if I
should delay it longer. I've added requested changes requested
by previous comments.

Regards.

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System,
which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[librep-0.90.2-1.3-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#623388; Package src:librep. (Tue, 12 Jul 2011 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Tue, 12 Jul 2011 16:51:03 GMT) Full text and rfc822 format available.

Message #27 received at 623388@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
To: Hector Oron <zumbi@debian.org>, 623388@bugs.debian.org
Subject: Re: Bug#623388: librep: diff for NMU version 0.90.2-1.3
Date: Tue, 12 Jul 2011 11:49:51 -0500
On Tue, Jul 12, 2011 at 11:26:25AM +0100, Hector Oron wrote:
> 
> 
> Dear maintainer,
> 
> I've prepared an NMU for librep (versioned as 0.90.2-1.3) and
> uploaded it to DELAYED/3. Please feel free to tell me if I
> should delay it longer. I've added requested changes requested
> by previous comments.

Thanks again for this.


-- 
Rodrigo Gallardo




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Tue, 12 Jul 2011 22:06:03 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Tue, 12 Jul 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #32 received at 623388-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 623388-close@bugs.debian.org
Subject: Bug#623388: fixed in librep 0.90.2-1.3
Date: Tue, 12 Jul 2011 22:03:04 +0000
Source: librep
Source-Version: 0.90.2-1.3

We believe that the bug you reported is fixed in the latest version of
librep, which is due to be installed in the Debian FTP archive:

librep-dbg_0.90.2-1.3_i386.deb
  to main/libr/librep/librep-dbg_0.90.2-1.3_i386.deb
librep-dev_0.90.2-1.3_i386.deb
  to main/libr/librep/librep-dev_0.90.2-1.3_i386.deb
librep9_0.90.2-1.3_i386.deb
  to main/libr/librep/librep9_0.90.2-1.3_i386.deb
librep_0.90.2-1.3.diff.gz
  to main/libr/librep/librep_0.90.2-1.3.diff.gz
librep_0.90.2-1.3.dsc
  to main/libr/librep/librep_0.90.2-1.3.dsc
rep-doc_0.90.2-1.3_all.deb
  to main/libr/librep/rep-doc_0.90.2-1.3_all.deb
rep_0.90.2-1.3_i386.deb
  to main/libr/librep/rep_0.90.2-1.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623388@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated librep package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 12 Jul 2011 11:17:30 +0100
Source: librep
Binary: rep librep9 librep-dev librep-dbg rep-doc
Architecture: source all i386
Version: 0.90.2-1.3
Distribution: unstable
Urgency: low
Maintainer: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 librep-dbg - debug symbols for librep
 librep-dev - development libraries and headers for librep
 librep9    - embeded lisp command interpreter library
 rep        - lisp command interpreter
 rep-doc    - documentation for the lisp command interpreter
Closes: 623388
Changes: 
 librep (0.90.2-1.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add armhf support. Thanks Konstantinos Margaritis (Closes: #623388)
   * Emptying the dependency_libs field in .la files
   * Add lintian override for librep-dev: missing-dep-for-interpreter rep
Checksums-Sha1: 
 2fbaededa9315f8ce44cc5488d87c41b1de0ae93 1942 librep_0.90.2-1.3.dsc
 b160f6b3c5942558658c90544fd076287e44c998 17392 librep_0.90.2-1.3.diff.gz
 835a73127b5335ed43af8874e3e9375ee5b31c8f 137538 rep-doc_0.90.2-1.3_all.deb
 3f555d71fc1bef8ad5fa205c15cc23495bb634ef 9778 rep_0.90.2-1.3_i386.deb
 3ed21cfe9dcbe1506b1165e619d547d393f3c0be 364838 librep9_0.90.2-1.3_i386.deb
 1eb7b3f36a206b1bca196f87161ddd6af9cb502c 523238 librep-dev_0.90.2-1.3_i386.deb
 dfc33ee33958ae721d42249a3d078a650c5b0377 326724 librep-dbg_0.90.2-1.3_i386.deb
Checksums-Sha256: 
 e0bed4346e64b94136e2930a5980785e7d48b591e2d05809375d556aba587d57 1942 librep_0.90.2-1.3.dsc
 fe212051b7fa834fd0aea5906db1614baa42b699fd105fd81446c91fd6a70e62 17392 librep_0.90.2-1.3.diff.gz
 6bf51da2a98140b10003b67414e6e95ff82bbbac1a4a4a62f0506b0d1587fcf4 137538 rep-doc_0.90.2-1.3_all.deb
 90497cc621dce812be5743631b2758391dbe51ad7cb3490fbdb2ff97754fa8cf 9778 rep_0.90.2-1.3_i386.deb
 8d4bb4dedfab5348f1a44fd11a8ea9029b3ed3ef3bd3d474c5b91b3ace01d673 364838 librep9_0.90.2-1.3_i386.deb
 13de56dd87915d30fe796e41fb0d096f1b65b1a1aa86ab5d02bd626ec9ccb1b2 523238 librep-dev_0.90.2-1.3_i386.deb
 556f0907c66a29f258c095be4e9b56486caad6ce7bcf802fd2fd1e91c22e6f2a 326724 librep-dbg_0.90.2-1.3_i386.deb
Files: 
 d7150057966e42472a9f1aa4e3fb3e64 1942 lisp optional librep_0.90.2-1.3.dsc
 d005891173ce23e01fc8ad14b3e51e0b 17392 lisp optional librep_0.90.2-1.3.diff.gz
 40772b2305a765ee287d7c13f9e55196 137538 doc optional rep-doc_0.90.2-1.3_all.deb
 593cc72fe55f265ebd7144290690fe01 9778 lisp optional rep_0.90.2-1.3_i386.deb
 a74118f2177f781ce8f8bbe1d7871b9f 364838 libs optional librep9_0.90.2-1.3_i386.deb
 0ac6661bd22fc9c02759d92845e64fa8 523238 libdevel optional librep-dev_0.90.2-1.3_i386.deb
 17805eaa07666dadfc23694d2a504b09 326724 debug extra librep-dbg_0.90.2-1.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOHCDYAAoJEK8ig6p24qx7uFMP/399nPM6GbJeGgr0T9y6M4GP
+WqG1YSj7gmf6GA9zceJnfHzfWlM4lzxMMBpZMr4GNH+8EcWh1WRL0Plt6N8ZDhM
P3JGyUvOeZ/oGGvzHDA3RHJtzD2eekfK9T+dn3KQ/DsUrjHerABjqb+Cs8Lih/fd
8uBPBcoMvN8NNbCBFwF+ImAUf/j0sEE7DxHCJyDXCqEFDG1Gtw2rIKPAKAkYUPm6
EQJ/zsiUiUp2tQgak+b+RweukbFnaNsmlilWuNhyarzBuf7Xe3huoH4fglVYnqP/
bt5yULY4M18lELy04cARnHRsvju/i3TXqqr90ZaGF9w8VNVlhUhTrpDHZlLrh39k
xmZxcERiE5lKjXABZUSYypgRaWL8LJikYbwP1If1VkxB80gz+9tp3/VMb7TkkeId
D6EX+z4pT37JFbxLNhcKWhnaU7NCDhos7ZdES34wsqY+6vaDvi7fFRKsEzgft2wP
m8hL90OZ/Bt217vh5XSoU5T5rSav/ipNIz2aX4CZADNJRrg/gDrZtZIclEeJwQPI
xALTeoCNFybr/GZ0clAJXTiIhBxwNX1ODz40rpvq4k3E0XZATC5HXrB75n39LPzA
++0Itdoiju4Gdxpp9/373YWwphx0WqKFLtLrWdXVIJGBdiluTK6CetCD4AJ5QtIb
p/xmUnnF/8vkQ1/VuBsv
=a2hK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Aug 2011 07:37:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:27:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.